#include "canvas/Canvas.hpp"
#include "canvas/Circle.hpp"

void Canvas::init(int size)
{
  backGround.init(size);
  tree.init(size);
  Circle::init();
}

void Canvas::newGen(RenderTexture2D &target, Dna *dna)
{
  BeginTextureMode(target);
  ClearBackground(WHITE);

  backGround.draw(dna);
  tree.draw(dna);

  EndTextureMode();
}

void Canvas::deinit()
{
  backGround.deinit();
  Circle::deinit();
}
